import type { _MLCLayer } from "./MLCLayer.js";
import type { _MLCMatMulDescriptor } from "./MLCMatMulDescriptor.js";
export declare class _MLCMatMulLayer extends _MLCLayer {
    static alloc(): _MLCMatMulLayer;
    static new(): _MLCMatMulLayer;
    init(): _MLCMatMulLayer;
    /**
     * @abstract Create a matrix multiply layer @param descriptor A matrix multiply descriptor @return A new layer for matrix multiplication.
     */
    static layerWithDescriptor$(descriptor: _MLCMatMulDescriptor): _MLCMatMulLayer | null;
    /** @property descriptor @abstract The matrix multiplication descriptor */
    descriptor(): _MLCMatMulDescriptor;
}
